import os

from .base import *  # noqa


DEBUG = True

# debug toolbar settings


def show_toolbar(request):
    return True


DEBUG_TOOLBAR_PATCH_SETTINGS = False

INSTALLED_APPS += (  # noqa
    'debug_toolbar',
)
MIDDLEWARE_CLASSES += [  # noqa
    'debug_toolbar.middleware.DebugToolbarMiddleware',
]
DEBUG_TOOLBAR_CONFIG = {
    "SHOW_TOOLBAR_CALLBACK": show_toolbar,
}


# database settings

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': os.environ.get('MYSQL_DATABASE'),
        'USER': os.environ.get('MYSQL_USER'),
        'PASSWORD': os.environ.get('MYSQL_PASSWORD'),
        'HOST': 'db',
        'PORT': '3306',
        'OPTIONS': {'init_command': 'SET storage_engine=INNODB', },
    }
}


# caching settings

CACHES = {
    "default": {
        "BACKEND": "django_redis.cache.RedisCache",
        "LOCATION": os.environ.get('REDIS_PORT'),
        "OPTIONS": {
            "CLIENT_CLASS": "django_redis.client.DefaultClient",
        }
    }
}
